name: linuxserver-changedetection.io
services:
  app:
    image: linuxserver/changedetection.io:0.52.9
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      BASE_URL: ''
      PLAYWRIGHT_DRIVER_URL: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: BASE_URL
          description:
            en_us: Specify the full URL (including protocol) when running behind a reverse proxy [OPTIONAL]
        - container: PLAYWRIGHT_DRIVER_URL
          description:
            en_us: Specify the full URL to your chrome driver instance. See the wiki for details. [OPTIONAL]
    ports:
      - target: 5000
        published: 5000
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/changedetection.io/config
        target: /config
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Changedetection.io provides free, open-source web page monitoring, notification and change detection.
  tagline:
    en_us: Provides free, open-source web page monitoring, notification and change detection.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://github.com/linuxserver/docker-templates/raw/master/linuxserver.io/img/changedetection-icon.png
  thumbnail: https://github.com/linuxserver/docker-templates/raw/master/linuxserver.io/img/changedetection-icon.png
  title:
    en_us: Changedetection. Io
  category: LinuxServer.io
